# Module core::array
1.36.0[−][src]

Expand description

Helper functions and types for fixed-length arrays.

See also the array primitive type.

## Structs

IntoIter

A by-value array iterator.

TryFromSliceError

The error type returned when a conversion from a slice to an array fails.

## Functions

from_mut

Converts a mutable reference to `T` into a mutable reference to an array of length 1 (without copying).

from_ref

Converts a reference to `T` into a reference to an array of length 1 (without copying).